import ts from "typescript";
import * as Converter from "./Converter";
export { Converter };
export declare type CodeGeneratorParams = Converter.v3.CodeGenerator.CodeGeneratorParams;
export declare type CodeGeneratorOption = Converter.v3.CodeGenerator.Option;
export declare type RewriteCodeAfterTypeDeclaration = (context: ts.TransformationContext, codeGeneratorParamsList: CodeGeneratorParams[], codeGenerateOption: CodeGeneratorOption) => ts.Statement[] | string;
export interface Params {
    entryPoint: string;
    option?: {
        rewriteCodeAfterTypeDeclaration?: RewriteCodeAfterTypeDeclaration;
        codeGenerator?: {
            /** default false */
            sync?: boolean;
        };
    };
    /** default: true */
    enableValidate?: boolean;
    log?: {
        validator?: {
            /**
             * default: undefined (all logs)
             * Number of lines displayed in the latest log
             */
            displayLogLines?: number;
        };
    };
    filter?: {
        allowOperationIds?: string[];
    };
}
export declare const generateTypeScriptCode: ({ entryPoint, option, enableValidate, log, filter }: Params) => string;
